/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
.customHeader {
    background: #131327;
}
.post-categories a, a.url.fn.n {
    font-weight: bold;
}
.post-categories a {
    background: #2D4DEC;
    padding: 2px 10px;
    text-transform: uppercase;
    color: white;
}
.post-categories a:active, .post-categories a:hover{
	color: white !important;
}
.entry-content figure.wp-block-image {
    margin-bottom: 20px;
}
@media (max-width: 550px){
	h1.entry-title {
		font-size: 8.19vw;
		line-height: 8.6vw;
	}
	.entry-meta {
		font-size: 2.19vw !important;
	}
	h2.wp-block-heading {
		font-size: 6.37vw;
		line-height: 7vw;
	}
	h3.wp-block-heading {
        font-size: 5.46vw;
        line-height: 6.5vw;
    }
}
@media (min-width: 551px) and (max-width: 766.9px){
	h1.entry-title {
		font-size: 8.3vw;
		line-height: 8.8vw;
	}
	.entry-meta {
		font-size: 2.18vw !important;
	}
	h2.wp-block-heading {
		font-size: 6.36vw;
		line-height: 7vw;
	}
	h3.wp-block-heading {
        font-size: 5.45vw;
        line-height: 6.5vw;
    }
}
@media (max-width: 766.9px){
	.post-categories a {
		font-size: 2.73vw;
	}
	.post-categories {
		margin-bottom: 2vw;
	}
	.entry-meta {
		margin-top: 2vw !important;
	}
	.entry-content p {
		/*font-size: 3.28vw;*/
		font-size: 18px;
	}
}
@media (min-width: 767px) and (max-width: 899.9px){
	.post-categories a {
		font-size: 1.96vw;
	}
	.post-categories {
		margin-bottom: 1.5vw;
	}
	h1.entry-title {
		font-size: 5.87vw;
		line-height: 6.2vw;
	}
	.entry-meta {
		margin-top: 1.5vw !important;
		font-size: 1.57vw !important;
	}
	h2.wp-block-heading {
		font-size: 4.57vw;
		line-height: 5vw;
	}
	h3.wp-block-heading {
		font-size: 3.92vw;
	}
	.entry-content p {
		font-size: 2.35vw;
	}
}
@media (min-width: 900px) and (max-width: 1099.9px){
	.post-categories a {
		font-size: 1.67vw;
	}
	h1.entry-title {
		font-size: 5vw;
		line-height: 5.5vw;
	}
	.entry-meta {
		font-size: 1.34vw;
	}
	h3.wp-block-heading {
		font-size: 3.34vw;
	}
	.entry-content p {
		font-size: 2vw;
	}
}
@media (min-width: 900px) and (max-width: 1400px){
	div#content {
		grid-gap: 4vw;
	}
	.post-categories {
		margin-bottom: 1vw;
	}
	.entry-meta {
		margin-top: 1vw !important;
	}
}
@media (min-width: 1100px) and (max-width: 1400px){
	.post-categories a {
		font-size: 1.37vw;
	}
	h1.entry-title {
		font-size: 4.1vw;
		line-height: 4.3vw;
	}
	.entry-meta {
		font-size: 0.91vw !important;
	}
	h3.wp-block-heading {
		font-size: 2.73vw;
	}
	.entry-content p {
		font-size: 1.82vw;
	}
}
@media (min-width: 1401px){
	div#content {
		grid-gap: 40px;
	}
	.post-categories a {
		font-size: 15px;
	}
	.post-categories {
		margin-bottom: 15px;
	}
	h1.entry-title {
		font-size: 45px;
		line-height: 47px;
	}
	.entry-meta {
		margin-top: 15px !important;
		font-size: 12px !important;
	}
	h3.wp-block-heading {
		font-size: 30px !important;
	}
	.entry-content p {
		font-size: 20px;
	}
}